summaryrefslogtreecommitdiff
path: root/dev-cpp/libcmis
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-18 03:01:55 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-18 03:01:55 -0500
commitbddf78c69012b9c1c06816f37d538d44d7877365 (patch)
tree3fc74b4dbb8c9348a6300843c7d65b9ee5bee0ff /dev-cpp/libcmis
parent704b2332929c5ee3a704315e1b371a864f9f463e (diff)
downloadbaldeagleos-repo-bddf78c69012b9c1c06816f37d538d44d7877365.tar.gz
baldeagleos-repo-bddf78c69012b9c1c06816f37d538d44d7877365.tar.xz
baldeagleos-repo-bddf78c69012b9c1c06816f37d538d44d7877365.zip
Adding metadata
Diffstat (limited to 'dev-cpp/libcmis')
-rw-r--r--dev-cpp/libcmis/Manifest1
-rw-r--r--dev-cpp/libcmis/files/libcmis-0.6.3-buildsys.patch42
-rw-r--r--dev-cpp/libcmis/libcmis-0.6.3.ebuild61
-rw-r--r--dev-cpp/libcmis/libcmis-9999.ebuild15
4 files changed, 109 insertions, 10 deletions
diff --git a/dev-cpp/libcmis/Manifest b/dev-cpp/libcmis/Manifest
index 86f9994fa42b..5782264ca687 100644
--- a/dev-cpp/libcmis/Manifest
+++ b/dev-cpp/libcmis/Manifest
@@ -1 +1,2 @@
DIST libcmis-0.6.2.tar.gz 296218 BLAKE2B faad99e09b2721cd56b0d47d2a9589e06222ee7881006e936d0943d5e8afc588fcda721ef282ad7d55c785407a9885c90cbce1d172ca012c4a13cc51da0c15b6 SHA512 a75a69623f34149c39c382c357396b8dd719d589a78424fc3b5d9de84ffbf3f889bcaaed9a01f91b491a507c189347d3d9252db238fddbb522ff8ba9ce7b5ade
+DIST libcmis-0.6.3.tar.gz 302198 BLAKE2B f5772991c06ce728c728b6e7d670eaf36ee5fb42e6e655cd1b40a6385d4896076346f499b4e6a8278a0b6f4d065da6ef48a6e720b7a4f5ebbb7d9782952acfba SHA512 28f9fdc51ff87496ad827289ab86f124d79d832176e63e2e92eb21e55294720e6a3a2ba847ebf9a81c7db4ef19e0defe03edf5d181e2386920f8d7451287f9e1
diff --git a/dev-cpp/libcmis/files/libcmis-0.6.3-buildsys.patch b/dev-cpp/libcmis/files/libcmis-0.6.3-buildsys.patch
new file mode 100644
index 000000000000..40fd42951a95
--- /dev/null
+++ b/dev-cpp/libcmis/files/libcmis-0.6.3-buildsys.patch
@@ -0,0 +1,42 @@
+From e00b5b849e467fd3661ebdbfb7e49db5abb5c313 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Caol=C3=A1n=20McNamara?= <caolan.mcnamara@collabora.com>
+Date: Mon, 1 Jun 2026 19:03:43 +0100
+Subject: [PATCH] avoid ending up with -isystem /usr/include, which breaks
+ horribly
+
+Try an alternative workaround for the macOS ci's -Werror and --with=boost=/opt/homebrew
+
+In file included from /usr/include/c++/15/ext/string_conversions.h:45,
+ from /usr/include/c++/15/bits/basic_string.h:4442,
+ from /usr/include/c++/15/string:56,
+ from ../../inc/libcmis/allowable-actions.hxx:32,
+ from allowable-actions.cxx:29:
+/usr/include/c++/15/cstdlib:83:15: fatal error: stdlib.h: No such file or directory
+ 83 | #include_next <stdlib.h>
+ | ^~~~~~~~~~
+compilation terminated.
+---
+ configure.ac | 10 ++++++----
+ 1 file changed, 6 insertions(+), 4 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 68d2dcb..7186058 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -170,10 +170,12 @@ BOOST_UUID
+ AS_IF([test "x$enable_client" != "xno"], [
+ BOOST_PROGRAM_OPTIONS
+ ])
+-# Treat boost headers as system headers so -Wshadow / -Weffc++ etc.
+-# inside them do not break the build under -Werror. boost.m4 emits
+-# -I$prefix; rewrite to -isystem $prefix.
+-BOOST_CPPFLAGS=`echo "$BOOST_CPPFLAGS" | sed 's|-I|-isystem |g'`
++# Our macOS CI uses --with-boost=/opt/homebrew and then has warnings which trip
++# up -Werror. So rewrite the -I that boost.m4 emits to -isystem so -Wshadow, etc
++# inside boost don't make ci fail
++AS_IF([test -n "$with_boost" -a "x$with_boost" != "xyes" -a "x$with_boost" != "xno"], [
++ BOOST_CPPFLAGS=`echo "$BOOST_CPPFLAGS" | sed 's|-I|-isystem |g'`
++])
+ AC_SUBST(BOOST_CPPFLAGS)
+
+ # Checks for header files.
diff --git a/dev-cpp/libcmis/libcmis-0.6.3.ebuild b/dev-cpp/libcmis/libcmis-0.6.3.ebuild
new file mode 100644
index 000000000000..72873b0204b5
--- /dev/null
+++ b/dev-cpp/libcmis/libcmis-0.6.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/tdf/libcmis.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/tdf/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+inherit autotools flag-o-matic
+
+DESCRIPTION="C++ client library for the CMIS interface"
+HOMEPAGE="https://github.com/tdf/libcmis"
+
+LICENSE="|| ( GPL-2 LGPL-2 MPL-1.1 )"
+SLOT="0/0.6"
+IUSE="man test tools"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ dev-libs/boost:=
+ dev-libs/libxml2:=
+ net-misc/curl
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ man? (
+ app-text/xmlto
+ dev-libs/libxslt
+ )
+ test? ( dev-util/cppunit )
+"
+
+PATCHES=( "${FILESDIR}"/${P}-buildsys.patch ) # in git master
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # ODR issues in tests w/ curl
+ filter-lto
+
+ local myeconfargs=(
+ --disable-werror
+ $(use_with man)
+ $(use_enable test tests)
+ $(use_enable tools client)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/dev-cpp/libcmis/libcmis-9999.ebuild b/dev-cpp/libcmis/libcmis-9999.ebuild
index 196087c0dff6..3e21ba75739f 100644
--- a/dev-cpp/libcmis/libcmis-9999.ebuild
+++ b/dev-cpp/libcmis/libcmis-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+EAPI=9
if [[ ${PV} == *9999* ]]; then
EGIT_REPO_URI="https://github.com/tdf/libcmis.git"
@@ -25,19 +25,14 @@ DEPEND="
dev-libs/libxml2:=
net-misc/curl
"
-RDEPEND="
- ${DEPEND}
- !dev-cpp/libcmis:0.5
-"
+RDEPEND="${DEPEND}"
BDEPEND="
virtual/pkgconfig
man? (
- app-text/docbook2X
+ app-text/xmlto
dev-libs/libxslt
)
- test? (
- dev-util/cppunit
- )
+ test? ( dev-util/cppunit )
"
src_prepare() {